%global fontname aldusleaf-crimson-text
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.1
Release:        0.3.20100628%{?dist}
Summary:        A latin font for the production of technical books and papers

Group:          User Interface/X
License:        OFL
URL:            http://aldusleaf.org/
Source0:        http://aldusleaf.org/crimson_text_100628.zip
Source1:        %{name}-fontconfig.conf
Source2:        generate.pe

BuildArch:      noarch
BuildRequires:  fontpackages-devel fontforge
Requires:       fontpackages-filesystem
Obsoletes:      crimson-text-fonts < 0-0.2.20100523

%description
A latin font for a quality typeface for the production of books and
papers, particularly technical ones.


%prep
%setup -q -n crimson_text
cp -p %{SOURCE2} fontforge_sources

%build
pushd fontforge_sources
./generate.pe *.sfd
popd

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p fontforge_sources/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf

%doc README.txt 


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20100628
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Parag Nemade <pnemade AT redhat.com> - 0.1-0.2.20100628
- Added generate.pe and used source to generate ttf files.

* Fri Jul 16 2010 Parag Nemade <pnemade AT redhat.com> - 0.1-0.1.20100628
- Update to new upstream release.

* Thu Jun 17 2010 Parag Nemade <pnemade AT redhat.com> - 0.1-0.1.20100608
- Update to new upstream release.

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 0-0.2.20100523
- Renamed to follow fonts package naming guidelines.

* Thu May 27 2010 Parag Nemade <pnemade AT redhat.com> - 0-0.1.20100523
- Initial Fedora release.

